

@BaseScript(LevelScript)

import com.badlogic.gdx.math.Vector2;

import studio.junk.jam.coloritum.LevelScript
import studio.junk.jam.coloritum.entities.Pigment;
import groovy.transform.BaseScript

/**
 * 
 */

useAsset "scripts/assets/Init"
useEntity "scripts/types/Init"

entity "presetLightSource", new Vector2(0,15), 1, Pigment.Red
entity "presetLightSource", new Vector2(10,15), 1, Pigment.Orange
entity "presetLightSource", new Vector2(24,13), 1, Pigment.Purple


buildWall new Vector2(1,15), new Vector2(1, 13)
buildWall new Vector2(3,15), new Vector2(3, 13)
buildWall new Vector2(5,17), new Vector2(5, 14)
buildWall new Vector2(9,17), new Vector2(9, 10)
buildWall new Vector2(8,14), new Vector2(8, 13)
buildWall new Vector2(0,12), new Vector2(9, 12)

bulidCorner new Vector2(9, 9), 3

buildWall new Vector2(10,14), new Vector2(13, 14)
buildWall new Vector2(11,16), new Vector2(19, 16)
buildWall new Vector2(16,14), new Vector2(22, 14)
buildWall new Vector2(11,11), new Vector2(16, 11)
buildWall new Vector2(10, 9), new Vector2(22, 9)
buildWall new Vector2(18,11), new Vector2(21, 11)
buildWall new Vector2(16,13), new Vector2(16, 12)
buildWall new Vector2(23,17), new Vector2(23, 9)
buildWall new Vector2(18,12), new Vector2(18,12)
buildWall new Vector2(13,13), new Vector2(13,13)

buildWall new Vector2(27,17), new Vector2(27,17)
buildWall new Vector2(27,16), new Vector2(30, 16)
buildWall new Vector2(25,16), new Vector2(25, 13)
buildWall new Vector2(27,13), new Vector2(28, 13)
buildWall new Vector2(30,13), new Vector2(31, 13)
buildWall new Vector2(24,12), new Vector2(25, 12)
buildWall new Vector2(27,12), new Vector2(27, 11)
buildWall new Vector2(27,10), new Vector2(28, 10)
buildWall new Vector2(24,9), new Vector2(25, 9)
buildWall new Vector2(27,8), new Vector2(27,8)
buildWall new Vector2(25,8), new Vector2(25, 7)
buildWall new Vector2(27,7), new Vector2(29, 7)
buildWall new Vector2(31,7), new Vector2(31,7)
buildWall new Vector2(23,5), new Vector2(29, 5)
buildWall new Vector2(29,4), new Vector2(29,4)
buildWall new Vector2(23,3), new Vector2(25, 3)
buildWall new Vector2(27,3), new Vector2(29, 3)
buildWall new Vector2(28,2), new Vector2(28, 1)
buildWall new Vector2(24,1), new Vector2(24, 0)
buildWall new Vector2(21,8), new Vector2(21, 0)


entity "drain", new Vector2(8, 15), Pigment.Blue
entity "drain", new Vector2(22, 13), Pigment.Yellow
entity "drain", new Vector2(22, 4), Pigment.Green

entity "drain", new Vector2(3, 9), Pigment.Red
entity "drain", new Vector2(5, 9), Pigment.Orange
entity "drain", new Vector2(7, 9), Pigment.Purple

buildWall new Vector2(18,5), new Vector2(18, 3)
buildWall new Vector2(16,6), new Vector2(16, 2)
buildWall new Vector2(14,7), new Vector2(14, 1)
buildWall new Vector2(12,8), new Vector2(12, 5)
buildWall new Vector2(12,3), new Vector2(12, 0)
buildWall new Vector2(10,7), new Vector2(10, 6)
buildWall new Vector2(10,2), new Vector2(10, 1)
buildWall new Vector2(8,7), new Vector2(8, 6)
buildWall new Vector2(8,2), new Vector2(8, 1)
buildWall new Vector2(8,5), new Vector2(10, 5)
buildWall new Vector2(8,3), new Vector2(10, 3)
buildWall new Vector2(6,9), new Vector2(6, 3)
buildWall new Vector2(4,9), new Vector2(4, 3)
buildWall new Vector2(4,1), new Vector2(6, 1)
buildWall new Vector2(1,8), new Vector2(2, 8)
buildWall new Vector2(1,1), new Vector2(2, 1)
buildWall new Vector2(2,7), new Vector2(2, 2)


//build wall from (0, 0) to (5, 3)
//build() wall() from (0, 0) to (5,0) to (10, 10) _()
